Subject: [PATCH 3/7] pinctrl: pinconf-generic: Allow driver to specify DT params

From: [email-masked] (Ivan T. Ivanov)
Date: Fri, 21 Nov 2014 09:35:31 +0200

On Thu, 2014-11-20 at 08:22 -0800, S?ren Brinkmann wrote:
> 
> 
> Also, I hope all my changes here don't break the current behavior. So,
> those 27 driver should still be able to do what they currently do. But I
> hope they could migrated over to use the generic bindings only in the
> longer term, so that these custom properties disappear.
> 
> > > The pinctrl driver just assembles
> > > some data structure that has the information regarding custom properties
> > > and the core handles the rest.
> > 
> > Yup, that is nice. What will be really nice if it also handle custom,
> > "function", "groups" and "pins" properties. Otherwise most of the drivers
> > will not be able to benefit from this.
> 
> Why would you still need those? 

I don't need them :-). The point was that still majority of the drivers
will have custom parsing functions. It would be nice if we could fix
that too. I do understand that using custom "pins", "functions"... is
something which is deprecated, but if core parsing functions allow
passing custom strings for above purposes, in a similar way as your
proposal, it will be easier for those drivers to migrate, I believe.

Regards,
Ivan